be.fgov.ehealth.dics.protocol.v5

## Class ConsultSupplyProblemType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultSupplyProblemType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultSupplyProblemType
      extends Object
      implements Serializable

  Java class for ConsultSupplyProblemType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultSupplyProblemType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ExpectedEndOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="ReportedBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ReportedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="ContactName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ContactMail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ContactCompany" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Phone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Reason" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="AdditionalInformation" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="Impact" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultSupplyProblemType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `ConsultTextType` | `getAdditionalInformation()` Gets the value of the additionalInformation property.
    `String` | `getContactCompany()` Gets the value of the contactCompany property.
    `String` | `getContactMail()` Gets the value of the contactMail property.
    `String` | `getContactName()` Gets the value of the contactName property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `org.joda.time.DateTime` | `getExpectedEndOn()` Gets the value of the expectedEndOn property.
    `ConsultTextType` | `getImpact()` Gets the value of the impact property.
    `String` | `getPhone()` Gets the value of the phone property.
    `ConsultTextType` | `getReason()` Gets the value of the reason property.
    `String` | `getReportedBy()` Gets the value of the reportedBy property.
    `org.joda.time.DateTime` | `getReportedOn()` Gets the value of the reportedOn property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setAdditionalInformation(ConsultTextType value)` Sets the value of the additionalInformation property.
    `void` | `setContactCompany(String value)` Sets the value of the contactCompany property.
    `void` | `setContactMail(String value)` Sets the value of the contactMail property.
    `void` | `setContactName(String value)` Sets the value of the contactName property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setExpectedEndOn(org.joda.time.DateTime value)` Sets the value of the expectedEndOn property.
    `void` | `setImpact(ConsultTextType value)` Sets the value of the impact property.
    `void` | `setPhone(String value)` Sets the value of the phone property.
    `void` | `setReason(ConsultTextType value)` Sets the value of the reason property.
    `void` | `setReportedBy(String value)` Sets the value of the reportedBy property.
    `void` | `setReportedOn(org.joda.time.DateTime value)` Sets the value of the reportedOn property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultSupplyProblemType

          public ConsultSupplyProblemType()

  - ### Method Detail

    - #### getExpectedEndOn

          public org.joda.time.DateTime getExpectedEndOn()

      Gets the value of the expectedEndOn property.
      Returns:
        possible object is `String`

    - #### setExpectedEndOn

          public void setExpectedEndOn(org.joda.time.DateTime value)

      Sets the value of the expectedEndOn property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReportedBy

          public String getReportedBy()

      Gets the value of the reportedBy property.
      Returns:
        possible object is `String`

    - #### setReportedBy

          public void setReportedBy(String value)

      Sets the value of the reportedBy property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReportedOn

          public org.joda.time.DateTime getReportedOn()

      Gets the value of the reportedOn property.
      Returns:
        possible object is `String`

    - #### setReportedOn

          public void setReportedOn(org.joda.time.DateTime value)

      Sets the value of the reportedOn property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContactName

          public String getContactName()

      Gets the value of the contactName property.
      Returns:
        possible object is `String`

    - #### setContactName

          public void setContactName(String value)

      Sets the value of the contactName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContactMail

          public String getContactMail()

      Gets the value of the contactMail property.
      Returns:
        possible object is `String`

    - #### setContactMail

          public void setContactMail(String value)

      Sets the value of the contactMail property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContactCompany

          public String getContactCompany()

      Gets the value of the contactCompany property.
      Returns:
        possible object is `String`

    - #### setContactCompany

          public void setContactCompany(String value)

      Sets the value of the contactCompany property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPhone

          public String getPhone()

      Gets the value of the phone property.
      Returns:
        possible object is `String`

    - #### setPhone

          public void setPhone(String value)

      Sets the value of the phone property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReason

          public ConsultTextType getReason()

      Gets the value of the reason property.
      Returns:
        possible object is `ConsultTextType`

    - #### setReason

          public void setReason(ConsultTextType value)

      Sets the value of the reason property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getAdditionalInformation

          public ConsultTextType getAdditionalInformation()

      Gets the value of the additionalInformation property.
      Returns:
        possible object is `ConsultTextType`

    - #### setAdditionalInformation

          public void setAdditionalInformation(ConsultTextType value)

      Sets the value of the additionalInformation property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getImpact

          public ConsultTextType getImpact()

      Gets the value of the impact property.
      Returns:
        possible object is `ConsultTextType`

    - #### setImpact

          public void setImpact(ConsultTextType value)

      Sets the value of the impact property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.